matrix:
  platform:
    - debian11
    - debian12
    - ubuntu2004
    - ubuntu2204
    - ubuntu2404
    - macos
    - macos_arm64
  bazel:
    - 7.x
    - 8.x
    - 9.x

tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=-std=c++17'
    test_flags:
      - '--cxxopt=-std=c++17'
    build_targets:
      - "@cucumber-cpp//..."
    test_targets:
      - "@cucumber-cpp//..."